Historical contract: Create Delivery Option
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Create Delivery Option
This API endpoint is used to create a delivery option
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
}
]
Request body
{
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"name",
"delivery_type_id",
"enabled"
],
"properties": {
"name": {
"type": "string"
},
"delivery_type_id": {
"type": "integer",
"format": "int32"
},
"enabled": {
"type": "boolean"
}
}
}
}
}
}
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": {\n \"name\": \"<redacted-personal>\",\n \"delivery_type_id\": 1,\n \"enabled\": false,\n \"updated_at\": \"2022-02-10 22:35:53\",\n \"created_at\": \"2022-02-10 22:35:53\",\n \"id\": 34\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "object",
"properties": {
"name": {
"type": "string",
"example": "<redacted-personal>"
},
"delivery_type_id": {
"type": "integer",
"example": 1,
"default": 0
},
"enabled": {
"type": "boolean",
"example": false,
"default": true
},
"updated_at": {
"type": "string",
"example": "2022-02-10 22:35:53"
},
"created_at": {
"type": "string",
"example": "2022-02-10 22:35:53"
},
"id": {
"type": "integer",
"example": 34,
"default": 0
}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
},
"401": {
"description": "401",
"content": {
"application/json": {
"examples": {
"Result": {
"value": ""
}
}
}
}
}
}